%global _empty_manifest_terminate_build 0
Name:		python-requests_ntlm
Version:	1.2.0
Release:	1
Summary:	This package allows for HTTP NTLM authentication using the requests library.
License:	ISC
URL:		https://github.com/requests/requests-ntlm
Source0:	https://files.pythonhosted.org/packages/7a/ad/486a6ca1879cf1bb181e3e4af4d816d23ec538a220ef75ca925ccb7dd31d/requests_ntlm-1.2.0.tar.gz
BuildArch:	noarch

%description
This package allows Python clients running on any operating system to provide NTLM authentication to a supporting server.

%package -n python3-requests_ntlm
Summary:	This package allows for HTTP NTLM authentication using the requests library.
Provides:	python-requests_ntlm = %{version}-%{release}
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
Requires:	python3-cryptography
Requires:	python3-pyspnego
Requires:	python3-requests
%description -n python3-requests_ntlm
This package allows Python clients running on any operating system to provide NTLM authentication to a supporting server.

%package help
Summary:	Development documents and examples for requests_ntlm
Provides:	python3-requests_ntlm-doc
%description help
This package allows Python clients running on any operating system to provide NTLM authentication to a supporting server.

%prep
%autosetup -n requests_ntlm-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.rst ]; then cp -af README.rst %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.md ]; then cp -af README.md %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.txt ]; then cp -af README.txt %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-requests_ntlm -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Wed Mar 22 2023 wangjunqi <wangjunqi@kylinos.cn> - 1.2.0-1
- Update package to version 1.2.0

* Tue Aug 17 2021 Python_Bot <Python_Bot@openeuler.org> - 1.1.0-1
- Package Spec generated
